# Skills

Behaviour of the **Skills** system — skills tree, awarding rules, profile integration.

Access these settings under **Administration > Configuration settings > Skills**. This category contains **13 settings**, listed below with the title and comment shipped in the platform's settings fixtures (`SettingsCurrentFixtures.php`).

> The variable name in code is shown in monospace. Use it when scripting via the API or when you need to change those settings at a global level by editing [`config/settings_override.yaml`](https://github.com/chamilo/chamilo-lms/wiki/Configurations#configsettings_overridesyaml).

## Settings

### `allow_hr_skills_management`

**Allow HR skills management**

Allows HR to manage skills

*Default: `true`*

### `allow_private_skills`

**Hide skills from learners**

If enabled, skills can only be visible for admins, teachers (related to a user via a course), and HRM users (if related to a user).

*Default: `false`*

### `allow_skill_rel_items`

**Enable linking skills to items**

This enables a major feature that enables any item to be linked to (and as such to allow acquisition of) a skill. The feature still requires the teacher to confirm the acquisition of the skill, so the acquisition is not automatic.

*Default: `false`*

### `allow_skills_tool`

**Allow Skills tool**

Users can see their skills in the social network and in a block in the homepage.

*Default: `true`*

### `allow_teacher_access_student_skills`

**Allow teachers to access learners' skills**

\[inferred] Allow instructors to view and monitor skills acquired by learners in their courses.

*Default: `false`*

### `badge_assignation_notification`

**Send notification to learner when a skill/badge has been acquired**

\[inferred] Send notifications to learners when they acquire a new skill or badge achievement.

*Default: `false`*

### `hide_skill_levels`

**Hide skill levels feature**

\[inferred] Conceal the skill level hierarchy and level labels in skill-related views.

*Default: `false`*

### `manual_assignment_subskill_autoload`

**Assigning skills to user: sub-skills auto-loading**

When manually assigning skills to a user, the form can be set to automatically offer you to assign a sub-skill instead of the skill you selected.

*Default: `false`*

### `openbadges_backpack`

**OpenBadges backpack URL**

The URL of the OpenBadges backpack server that will be used by default for all users wanting to export their badges. This defaults to the open and free Mozilla Foundation backpack repository: <https://backpack.openbadges.org/>

### `show_full_skill_name_on_skill_wheel`

**Show full skill name on skill wheel**

On the wheel of skills, it shows the name of the skill when it has short code.

*Default: `false`*

### `skill_levels_names`

**Skill levels names**

Define names for levels of skills as an array of id => name.

### `skills_hierarchical_view_in_user_tracking`

**Show skills as a hierarchical table**

\[inferred] Display learner skills as a hierarchical tree structure in progress and reporting pages.

*Default: `false`*

### `skills_teachers_can_assign_skills`

**Allow teachers to set which skills are acquired through their courses**

By default, only admins can decide which skills can be acquired through which course.

*Default: `false`*


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.chamilo.org/administration-guide/admin-guide/platform-settings/skill-settings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
